com.collabnet.ce.soap60.webservices.docman

## Class DocumentReviewSoapDO

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
  - - com.collabnet.ce.soap60.webservices.cemain.ItemSoapDO
    - - com.collabnet.ce.soap60.webservices.docman.DocumentReviewSoapDO

-     public class DocumentReviewSoapDO
      extends com.collabnet.ce.soap60.webservices.cemain.ItemSoapDO

  DocumentReviewDO class represents the document review for a document.
  Since:
    5.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `REVIEW_STATUS_CLOSED`
    `static String` | `REVIEW_STATUS_OPEN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentReviewSoapDO()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCreatedBy()` Returns 'createdBy'.
    `Date` | `getCreatedDate()` Returns 'createdDate'.
    `String` | `getDescription()` Returns 'description'.
    `int` | `getDocumentVersion()` Returns 'documentVersion'.
    `Date` | `getDueDate()` Returns 'dueDate'.
    `Date` | `getEndDate()` Returns 'endDate'.
    `String` | `getId()` Returns 'id'.
    `String` | `getLastModifiedBy()` Returns 'lastModifiedBy'.
    `Date` | `getLastModifiedDate()` Returns 'lastModifiedDate'.
    `String` | `getStatus()` Returns 'status'.
    `String` | `getTitle()` Returns 'title'.
    `int` | `getVersion()` Returns 'version'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setCreatedBy(String createdBy)` Sets 'createdBy'.
    `void` | `setCreatedDate(Date createdDate)` Sets 'createdDate'.
    `void` | `setDescription(String description)` Sets 'description'.
    `void` | `setDocumentVersion(int documentVersion)` Sets 'documentVersion'.
    `void` | `setDueDate(Date dueDate)` Sets 'dueDate'.
    `void` | `setEndDate(Date endDate)` Sets 'endDate'.
    `void` | `setId(String id)` Sets 'id'.
    `void` | `setLastModifiedBy(String lastModifiedBy)` Sets 'lastModifiedBy'.
    `void` | `setLastModifiedDate(Date lastModifiedDate)` Sets 'lastModifiedDate'.
    `void` | `setStatus(String status)` Sets 'status'.
    `void` | `setTitle(String title)` Sets 'title'.
    `void` | `setVersion(int version)` Sets 'version'.

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ItemSoapDO

      `getFolderId, getPath, setFolderId, setPath`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### REVIEW_STATUS_OPEN

          public static final String REVIEW_STATUS_OPEN

      See Also:
        Constant Field Values

    - #### REVIEW_STATUS_CLOSED

          public static final String REVIEW_STATUS_CLOSED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DocumentReviewSoapDO

          public DocumentReviewSoapDO()

  - ### Method Detail

    - #### getId

          public String getId()

      Returns 'id'.
      Overrides:
        `getId` in class `com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO`
      Returns:
        Value of 'id'.

    - #### setId

          public void setId(String id)

      Sets 'id'.
      Overrides:
        `setId` in class `com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO`
      Parameters:
        `id` - Value of 'id'.

    - #### getDocumentVersion

          public int getDocumentVersion()

      Returns 'documentVersion'. The version number of the document
      Returns:
        Value of 'documentVersion'.

    - #### setDocumentVersion

          public void setDocumentVersion(int documentVersion)

      Sets 'documentVersion'. The version number of the document
      Parameters:
        `documentVersion` - Value of 'documentVersion'.

    - #### getTitle

          public String getTitle()

      Returns 'title'. The title of the document review
      Overrides:
        `getTitle` in class `com.collabnet.ce.soap60.webservices.cemain.ItemSoapDO`
      Returns:
        Value of 'title'.

    - #### setTitle

          public void setTitle(String title)

      Sets 'title'. The title of the document review
      Overrides:
        `setTitle` in class `com.collabnet.ce.soap60.webservices.cemain.ItemSoapDO`
      Parameters:
        `title` - Value of 'title'.

    - #### getDescription

          public String getDescription()

      Returns 'description'. The description of the document review
      Returns:
        Value of 'description'.

    - #### setDescription

          public void setDescription(String description)

      Sets 'description'. The description of the document review
      Parameters:
        `description` - Value of 'description'.

    - #### getDueDate

          public Date getDueDate()

      Returns 'dueDate'. The date this review is due.
      Returns:
        Value of 'dueDate'.

    - #### setDueDate

          public void setDueDate(Date dueDate)

      Sets 'dueDate'. The date this review is due.
      Parameters:
        `dueDate` - Value of 'dueDate'.

    - #### getEndDate

          public Date getEndDate()

      Returns 'endDate'. The date review was closed.
      Returns:
        Value of 'endDate'.

    - #### setEndDate

          public void setEndDate(Date endDate)

      Sets 'endDate'. The date review was closed.
      Parameters:
        `endDate` - Value of 'endDate'.

    - #### getStatus

          public String getStatus()

      Returns 'status'. The status of this review.
      Returns:
        Value of 'status'.

    - #### setStatus

          public void setStatus(String status)

      Sets 'status'. The status of this review.
      Parameters:
        `status` - Value of 'status'.

    - #### getVersion

          public int getVersion()

      Returns 'version'. The version number of the review
      Overrides:
        `getVersion` in class `com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO`
      Returns:
        Value of 'version'.

    - #### setVersion

          public void setVersion(int version)

      Sets 'version'. The version number of the review
      Overrides:
        `setVersion` in class `com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO`
      Parameters:
        `version` - Value of 'version'.

    - #### getCreatedBy

          public String getCreatedBy()

      Returns 'createdBy'. Name of the user this review was created by.
      Overrides:
        `getCreatedBy` in class `com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO`
      Returns:
        Value of 'createdBy'.

    - #### setCreatedBy

          public void setCreatedBy(String createdBy)

      Sets 'createdBy'. Name of the user this review was created by.
      Overrides:
        `setCreatedBy` in class `com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO`
      Parameters:
        `createdBy` - Value of 'createdBy'.

    - #### getCreatedDate

          public Date getCreatedDate()

      Returns 'createdDate'. Date this review was created.
      Overrides:
        `getCreatedDate` in class `com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO`
      Returns:
        Value of 'createdDate'.

    - #### setCreatedDate

          public void setCreatedDate(Date createdDate)

      Sets 'createdDate'. Date this review was created.
      Overrides:
        `setCreatedDate` in class `com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO`
      Parameters:
        `createdDate` - Value of 'createdDate'.

    - #### getLastModifiedBy

          public String getLastModifiedBy()

      Returns 'lastModifiedBy'. Name of the user who modified this review last time.
      Overrides:
        `getLastModifiedBy` in class `com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO`
      Returns:
        Value of 'lastModifiedBy'.

    - #### setLastModifiedBy

          public void setLastModifiedBy(String lastModifiedBy)

      Sets 'lastModifiedBy'. Name of the user who modified this review last time.
      Overrides:
        `setLastModifiedBy` in class `com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO`
      Parameters:
        `lastModifiedBy` - Value of 'lastModifiedBy'.

    - #### getLastModifiedDate

          public Date getLastModifiedDate()

      Returns 'lastModifiedDate'. Date this review was last modified.
      Overrides:
        `getLastModifiedDate` in class `com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO`
      Returns:
        Value of 'lastModifiedDate'.

    - #### setLastModifiedDate

          public void setLastModifiedDate(Date lastModifiedDate)

      Sets 'lastModifiedDate'. Date this review was last modified.
      Overrides:
        `setLastModifiedDate` in class `com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO`
      Parameters:
        `lastModifiedDate` - Value of 'lastModifiedDate'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2019 CollabNet. All rights reserved.